| Home | Libraries | People | FAQ | More

##### posix::basic_stream_descriptor::basic_stream_descriptor (1 of 3 overloads)

Construct a `posix::basic_stream_descriptor` without opening it.

    basic_stream_descriptor(
        boost::asio::io_service & io_service);

This constructor creates a stream descriptor without opening it. The descriptor needs to be opened and then connected or accepted before data can be sent or received on it.

###### Parameters

io_service

  The `io_service` object that the stream descriptor will use to dispatch handlers for any asynchronous operations performed on the descriptor.